Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_world_set_error

## Name

librdf_world_set_error -- Set the world error handling function

## Synopsis

``void `librdf_world_set_error`` (librdf_world* `world`, void * `user_data`, void (*`error_fn`) (void *user_data, const char *message, va_list arguments));`

## Arguments

`world`

  redland world object

`user_data`

  user data to pass to function

`error_fn`

  pointer to the function

## Description

The function will receive callbacks when the world fails.

<<< Previous | Home | Next >>>
librdf_world_open | Up | librdf_world_set_warning